# Class SurveyVizierMode

java.lang.Object
uk.ac.starlink.topcat.vizier.BasicVizierMode
uk.ac.starlink.topcat.vizier.SurveyVizierMode

All Implemented Interfaces:
  `VizierMode`

public class SurveyVizierMode extends BasicVizierMode
VizierMode for queries of Survey catalogues.

Since:
  19 Oct 2009
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SurveyVizierMode()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Queryable[]`
`loadQueryables()`
Provides the array of Queryable objects which represents the catalogues which can be searched by this mode.

### Methods inherited from class BasicVizierMode

`getComponent, getName, getQueryableTable, getVizierInfo, readData, setVizierInfo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SurveyVizierMode

public SurveyVizierMode()
Constructor.

## Method Details

### loadQueryables

protected Queryable[] loadQueryables()
Description copied from class: `BasicVizierMode`
Provides the array of Queryable objects which represents the catalogues which can be searched by this mode. The returned items must be compatible with the `ArrayTableColumn`s used by this mode. This method is not called on the event dispatch thread.

Specified by:
  `loadQueryables` in class `BasicVizierMode`
Returns:
  array of queryable catalogues